<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.ConnectionBuilder withParsingOpenSSHConfig(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State kotlin.enums.EnumEntries&lt;com.intellij.ssh.SudoPromptFiniteStateMachine.State&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil CONFIRM_CONNECTION_PROMPT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.9166.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.X11Forwarding java.lang.String getDefaultXAuthLocation()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil boolean downloadFolderWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, com.intellij.ssh.RSyncUtil.IndicatorWrapper, com.intellij.ssh.rsync.RSyncOptions)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SingleKnownHostsDelegate com.intellij.ssh.KnownHostsVerifyResult customVerify(java.lang.String, int, java.security.PublicKey)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ExecBuilder com.intellij.ssh.ExecBuilder withExecChannelWrapperFactory(kotlin.jvm.functions.Function1&lt;? super com.intellij.ssh.channels.ExecChannel,? extends com.intellij.ssh.channels.ExecChannel&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void testConnection(com.intellij.remote.RemoteCredentials, com.intellij.ssh.RSyncUtil.IndicatorWrapper)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder boolean checkCanAuthenticate()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil NOTIFICATION_GROUP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2635.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService java.util.List&lt;com.intellij.ssh.SshSession&gt; getSessions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6183.87&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSessionKey">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig boolean getWrapKeyboardInteractivePassword()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void uploadWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2407.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxyCommandSocketFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder.SudoBundle com.intellij.ssh.ProcessBuilder.SudoBundle copy(com.intellij.ssh.RunViaSudoInfo, com.intellij.ssh.PasswordStringProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshPasswordProvider java.lang.String[] promptKeyboardInteractive(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], boolean[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.ConnectionBuilder withSshBackendLibrary(com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult PasswordDialogResult(char[], boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.KnownHostsVerifyResult kotlin.enums.EnumEntries&lt;com.intellij.ssh.KnownHostsVerifyResult&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand detectSftpCommandString">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SingleKnownHostsDelegate Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder.SudoBundle com.intellij.ssh.PasswordStringProvider component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand com.intellij.ssh.SftpChannelConfig.SudoCommand component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshTunnelCreationException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.6603.28&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSessionKey com.intellij.ssh.SshBackendLibrary getSshBackendLibrary()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject void setLastModifiedTime(long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject boolean isSymbolicLink()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxyAuthenticator java.net.Proxy getProxy()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig void setSshBackendLibrary(com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException int getCode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxyAuthenticator boolean checkRequestor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshApiBundle">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSessionKey SshSessionKey(java.lang.String, java.lang.String, int, com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshBundle java.util.function.Supplier&lt;java.lang.String&gt; messagePointer(java.lang.String, java.lang.Object[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder.SudoBundle SudoBundle(com.intellij.ssh.RunViaSudoInfo, com.intellij.ssh.PasswordStringProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.SessionConfig buildSessionConfig()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.JschSshSession JschSshSession(com.jcraft.jsch.Session, com.intellij.ssh.config.SshConnectionConfig)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh java.nio.file.Path getHomeSshDirectory()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig SftpChannelConfig(com.intellij.ssh.SftpChannelConfig.SftpCommand, long, java.util.concurrent.TimeUnit)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State MaybeTryAgain">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SudoCommand">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig java.lang.String getInitialHost()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5457.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxyCommand ProxyCommand(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder java.lang.String getUserHostPort()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.7142.45&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil SSH">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh com.intellij.openapi.util.Key&lt;java.lang.Boolean&gt; getDO_NOT_ESCAPE_CMD_ARGS()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ExecChannelConfig boolean getRedirectErrorStream()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelNoSuchFileException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxyCommandKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.X11Forwarding">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder.SudoBundle com.intellij.ssh.RunViaSudoInfo getRunViaSudoInfo()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil java.lang.String extractPkcsTokenLabel(java.util.regex.Matcher)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State Success">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil java.lang.String extractUsername(java.util.regex.Matcher)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteCredentialsUtil boolean checkConnection(com.intellij.remote.RemoteCredentials, java.time.Duration, com.intellij.openapi.progress.ProgressIndicator, com.intellij.ssh.ui.SshPasswordPrompt, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSessionKey com.intellij.ssh.SshSessionKey copy(java.lang.String, java.lang.String, int, com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier kotlin.jvm.functions.Function4&lt;java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean&gt; getAcceptChangedHostKey()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.channels.SftpChannel openFailSafeSftpChannel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider com.intellij.openapi.application.ModalityState getModalityState()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService com.intellij.ssh.AgentProxyConnectorFactory getAgentProxyConnectorFactory()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteCredentialsUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxyAuthenticator java.lang.String getUser()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ChannelSshTransportException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier kotlin.jvm.functions.Function4&lt;java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean&gt; getAcceptUnknownHostKey()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession void applyPortForwardings()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoCliInteractionKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxySocket com.intellij.ssh.ProxySocketImpl getImpl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig void setDisconnectTrigger(com.intellij.util.EventDispatcher&lt;com.intellij.ssh.ForceDisconnectListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider DialogSshSudoPasswordStringProvider(com.intellij.remote.RemoteCredentials, com.intellij.openapi.application.ModalityState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession int addLocalTunnelWithRandomLocalPort(java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject java.io.OutputStream outputStream(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.PrependingInputStream PrependingInputStream(java.io.InputStream)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier com.intellij.remote.SshConnectionConfigPatch.HostKeyVerifier.StrictHostKeyChecking component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig void setWrapKeyboardInteractivePassword(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService boolean checkCanAuthenticate(com.intellij.ssh.SessionConfig)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil PASSWORD_PROMPT_PREFIX">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.7319.50&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier kotlin.jvm.functions.Function4&lt;java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean&gt; component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier kotlin.jvm.functions.Function4&lt;java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean&gt; component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil USE_RSYNC_REGISTRY_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier boolean getAllowDialogs()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshHostKeyVerifierKt java.lang.String getOpenSshConfigOption(com.intellij.remote.SshConnectionConfigPatch.HostKeyVerifier.StrictHostKeyChecking)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil boolean checkRsyncInstalled()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshBackendLibrary">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject int getGroupId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void uploadWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, com.intellij.ssh.RSyncUtil.IndicatorWrapper)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh java.lang.String wrapIPv6Address(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject long getLastModifiedTime()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ObservedSshSessionWrapper">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider DialogSshSudoPasswordStringProvider(com.intellij.ssh.config.unified.SshConfig, com.intellij.openapi.application.ModalityState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.X11DisplayNameGetter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshTunnelAlreadyRegisteredException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh com.intellij.ssh.AnalyzeKeyPairResult analyzeKeyPair(java.io.File, com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionUtil kotlin.Pair&lt;com.jcraft.jsch.ConfigRepository.Config,com.jcraft.jsch.Session&gt; setUpSession(com.intellij.ssh.SessionConfig)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3727.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshPasswordProvider java.lang.String[] askUserForPassword(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshRemoteHostIdentificationHasChangedException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3795.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult copy(char[], boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject void clearCachedData()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.PrependingInputStream java.util.ArrayDeque&lt;java.lang.Byte&gt; getPrefix()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSessionChannelFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State Terminated">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult remember">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand com.intellij.ssh.SftpChannelConfig.SftpCommand copy(java.lang.String, com.intellij.ssh.SftpChannelConfig.SudoCommand)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ValidKeyPair">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxySocket ProxySocket(com.intellij.ssh.ProxySocketImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.LogOnceService.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.7148.57&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachineResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier com.intellij.ssh.OpenSshLikeHostKeyVerifier copy(java.util.List&lt;? extends java.io.File&gt;, com.intellij.remote.SshConnectionConfigPatch.HostKeyVerifier.StrictHostKeyChecking, boolean, kotlin.jvm.functions.Function4&lt;? super java.lang.String,? super java.lang.String,? super java.lang.String,? super java.lang.String,java.lang.Boolean&gt;, kotlin.jvm.functions.Function4&lt;? super java.lang.String,? super java.lang.String,? super java.lang.String,? super java.lang.String,java.lang.Boolean&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshPasswordProvider d">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh com.intellij.openapi.diagnostic.Logger getSSH_LOG()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpProgressTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4284.36&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void downloadInBatchWithRSync(java.lang.String, java.lang.String, java.util.Collection&lt;java.lang.String&gt;, com.intellij.remote.RemoteCredentials, java.util.List&lt;java.lang.String&gt;, boolean, com.intellij.ssh.RSyncUtil.IndicatorWrapper)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.JSchUtilsKt com.intellij.ssh.AnalyzeKeyPairResult analyzeKeyPairJsch(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig com.intellij.util.EventDispatcher&lt;com.intellij.ssh.ForceDisconnectListener&gt; getDisconnectTrigger()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.InetProxySocketFactoryKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand com.intellij.ssh.SftpChannelConfig.SftpCommand createCustomSftpCommand(boolean, java.lang.String, java.lang.String, kotlin.jvm.functions.Function0&lt;? extends com.intellij.ssh.PasswordStringProvider&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshTransportException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException SftpChannelException(int, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.KnownHostsVerifyResult CHANGED">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig com.intellij.ssh.interaction.SshPasswordProvider getFinalSshPasswordProvider$intellij_platform_ssh()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil java.lang.String extractKeyPath(java.util.regex.Matcher)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.AgentProxyConnectorFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpProgressTracker void onFileIgnored(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder boolean checkCanAuthenticate(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.AnalyzeKeyPairResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException SftpChannelException(int, java.lang.String, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ShellChannelBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionUtil java.lang.String getMessage(java.lang.Throwable, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject java.lang.String path()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2407.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil.RsyncCommandData parameters">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider DialogSshSudoPasswordStringProvider(java.lang.String, com.intellij.openapi.application.ModalityState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil PASSWORD_PROMPT_SUFFIX">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.5644.15&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider DialogSshSudoPasswordStringProvider(com.intellij.remote.RemoteCredentials)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder.SudoBundle com.intellij.ssh.PasswordStringProvider getPasswordProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.NamedPipeAgentConnector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.PromiscuousSshHostKeyVerifier">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Msys2EmulatedUnixSocketFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.KnownHostsVerifyResult OK">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService void reset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil REMOTE_HOST_IDENTIFICATION_HAS_CHANGED">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3795.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.ConnectionBuilder withDisconnectTrigger(com.intellij.util.EventDispatcher&lt;com.intellij.ssh.ForceDisconnectListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService void overrideSshAuthSock(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelPermissionDeniedException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig com.intellij.ssh.SftpChannelConfig.SftpCommand getCommand()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionUtil boolean isPamUnixPasswordPrompted(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult char[] component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ForceDisconnectListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession void addLocalTunnel(java.net.InetAddress, int, java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8770.65&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.config.SshConnectionConfig buildConnectionConfig()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.AgentProxyConnectorFactory kotlin.Pair&lt;com.jcraft.jsch.agentproxy.Connector,java.lang.String&gt; get(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService.Listener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject boolean rm()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3741.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RunViaSudoInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig SessionConfig(java.lang.String, com.intellij.ssh.config.SshConnectionConfig, com.intellij.ssh.interaction.SshPasswordProvider, com.intellij.util.EventDispatcher&lt;com.intellij.ssh.ForceDisconnectListener&gt;, com.intellij.ssh.SshBackendLibrary, com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider DialogSshSudoPasswordStringProvider(com.intellij.ssh.config.unified.SshConfig)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void uploadWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, java.util.List&lt;java.lang.String&gt;, boolean, boolean, com.intellij.ssh.RSyncUtil.IndicatorWrapper, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.AuthFailSshTransportException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void updateCommandLineIfWSL(com.intellij.execution.configurations.PtyCommandLine, java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxyCommandKt void watchProxyCommandProcess(java.lang.Process, com.intellij.openapi.diagnostic.Logger)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.6262.58&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig.AuthMethod GSS_API">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteCredentialsUtil com.intellij.ssh.ConnectionBuilder connectionBuilder(com.intellij.remote.RemoteCredentials, com.intellij.openapi.project.Project, com.intellij.openapi.progress.ProgressIndicator, boolean, com.intellij.ssh.ui.SshPasswordPrompt)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.ConnectionBuilder withSshConnectionConfig(kotlin.jvm.functions.Function1&lt;? super com.intellij.ssh.config.SshConnectionConfig,com.intellij.ssh.config.SshConnectionConfig&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService.Companion com.intellij.util.messages.Topic&lt;com.intellij.ssh.SshConnectionService.Listener&gt; getTOPIC()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.X11ForwardingKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil java.lang.String updateCommandIfWSL(java.lang.String, com.intellij.execution.wsl.WSLDistribution)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject java.util.List&lt;com.intellij.ssh.RemoteFileObject&gt; list()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.ConnectionBuilder withProgressIndicator(com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSessionKey com.intellij.ssh.SshBackendLibrary component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier com.intellij.remote.SshConnectionConfigPatch.HostKeyVerifier.StrictHostKeyChecking getStrictHostKeyChecking()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SingleKnownHostsDelegate.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig SftpChannelConfig(com.intellij.ssh.SftpChannelConfig.SftpCommand)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession int addLocalTunnelWithRandomLocalPort(java.net.InetAddress, java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8770.65&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SingleKnownHostsDelegate SingleKnownHostsDelegate(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxyAuthenticator SocksProxyAuthenticator(java.lang.String, java.lang.String, java.net.Proxy)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder ConnectionBuilder(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject java.lang.String canonicalPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshHostKeyVerifier">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.InetProxySocketFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.LogOnceService LogOnceService()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.7148.57&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshConfigKeywordsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService com.intellij.ssh.channels.SftpChannel failSafeSftp(com.intellij.ssh.SessionConfig, com.intellij.ssh.SftpChannelConfig)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException com.intellij.ssh.SftpChannelException create(int, java.lang.String, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.KnownHostsVerifyResult com.intellij.ssh.KnownHostsVerifyResult[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State com.intellij.ssh.SudoPromptFiniteStateMachine.State valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand java.lang.String component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelException">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.KnownHostsVerifyResult UNKNOWN_OR_BROKEN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxySocket com.intellij.ssh.ProxySocketImpl getImpl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier boolean component6()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh void doNotEscapeArgs(com.intellij.execution.configurations.GeneralCommandLine)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig void setProgressIndicator(com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SSHUtil PKCS_PIN_TOKEN_PROMPT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil boolean shouldInstallRSync()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxyAuthenticator java.lang.String getPassword()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject void moveTo(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ShellChannelConfig">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteCredentialsUtil com.intellij.ssh.ConnectionBuilder connectionBuilder(com.intellij.remote.RemoteCredentials, com.intellij.openapi.project.Project, com.intellij.openapi.progress.ProgressIndicator, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ExecBuilder com.intellij.ssh.process.SshExecProcess execute(int, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig void setConnectionConfig(com.intellij.ssh.config.SshConnectionConfig)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void download(java.util.List&lt;? extends com.intellij.util.PathMappingSettings.PathMapping&gt;, java.util.List&lt;java.lang.String&gt;, com.intellij.remote.RemoteCredentials, com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.KnownHostsVerifyResult com.intellij.ssh.KnownHostsVerifyResult valueOf(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject int getPermissions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession java.util.List&lt;java.lang.String&gt; getPortForwardingList()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshHostKeyVerifierKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig com.intellij.ssh.interaction.SshPasswordProvider getSshPasswordProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier OpenSshLikeHostKeyVerifier(java.util.List&lt;? extends java.io.File&gt;, com.intellij.remote.SshConnectionConfigPatch.HostKeyVerifier.StrictHostKeyChecking, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig SftpChannelConfig(long, java.util.concurrent.TimeUnit)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void uploadInBatchWithRSync(java.lang.String, java.lang.String, java.util.Collection&lt;java.lang.String&gt;, com.intellij.remote.RemoteCredentials, java.util.List&lt;java.lang.String&gt;, boolean, com.intellij.ssh.RSyncUtil.IndicatorWrapper)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig.SftpCommand Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SftpChannelConfig">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig com.intellij.openapi.progress.ProgressIndicator getProgressIndicator()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.channels.SftpChannel openFailSafeSftpChannel(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SocksProxySocket SocksProxySocket(com.intellij.ssh.ProxySocketImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.channels.SftpChannel openSftpChannel(int, com.intellij.ssh.SftpChannelConfig.SftpCommand)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.InvalidKeyPair">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig void setSshPasswordProvider(com.intellij.ssh.interaction.SshPasswordProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshBundle">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil.IndicatorWrapper">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ExecChannelConfig ExecChannelConfig(java.lang.String, boolean, boolean, long, java.util.concurrent.TimeUnit)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxyCommandSocketFactory.ProxyCommandSocket ProxyCommandSocket(com.intellij.ssh.ProxyCommandSocketImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession void removeLocalTunnel(java.net.InetAddress, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8770.65&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State com.intellij.ssh.SudoPromptFiniteStateMachine.State[] values()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject java.lang.String name()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2407.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void uploadWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, boolean, com.intellij.ssh.RSyncUtil.IndicatorWrapper)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.6682.168&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.LogOnceService void error(com.intellij.openapi.diagnostic.Logger, java.lang.Throwable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.7148.57&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ExecBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier boolean getHashKnownHosts()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.LogOnceService Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.7148.57&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession void removeRemoteTunnel(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil boolean downloadFolderWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, com.intellij.openapi.progress.ProgressIndicator, com.intellij.ssh.rsync.RSyncOptions)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier OpenSshLikeHostKeyVerifier(java.util.List&lt;? extends java.io.File&gt;, com.intellij.remote.SshConnectionConfigPatch.HostKeyVerifier.StrictHostKeyChecking, boolean, kotlin.jvm.functions.Function4&lt;? super java.lang.String,? super java.lang.String,? super java.lang.String,? super java.lang.String,java.lang.Boolean&gt;, kotlin.jvm.functions.Function4&lt;? super java.lang.String,? super java.lang.String,? super java.lang.String,? super java.lang.String,java.lang.Boolean&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshTunnelListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6461.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.HttpProxySocket com.intellij.ssh.ProxySocketImpl getImpl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.PasswordStringProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.AbstractBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult boolean component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.channels.SftpChannel openFailSafeSftpChannel(int, com.intellij.ssh.SftpChannelConfig.SftpCommand)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.HttpProxySocket HttpProxySocket(com.intellij.ssh.ProxySocketImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshConnectionService boolean checkCanAuthenticate(com.intellij.ssh.SessionConfig, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder.SudoBundle com.intellij.ssh.RunViaSudoInfo component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh T wrapBlockingSshCall(java.lang.String, boolean, kotlin.jvm.functions.Function0&lt;? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig com.intellij.ssh.SshBackendLibrary getSshBackendLibrary()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.LogOnceService com.intellij.ssh.LogOnceService getInstance()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.7148.57&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void download(java.util.List&lt;com.intellij.util.PathMappingSettings.PathMapping&gt;, com.intellij.remote.RemoteCredentials, com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2635.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh boolean isPrivateKeyNotEncrypted(java.lang.String, com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder com.intellij.ssh.ConnectionBuilder withSshPasswordProvider(com.intellij.ssh.interaction.SshPasswordProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProcessBuilder com.intellij.ssh.ProcessBuilder withSudo(com.intellij.ssh.PasswordStringProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject int getUId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ProxyCommandSocketFactory ProxyCommandSocketFactory(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifierImplKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.OpenSshLikeHostKeyVerifier">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SudoPromptFiniteStateMachine.State MaybeAskPassword">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ExecChannelConfig">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void downloadFileOrFolderWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, com.intellij.ssh.RSyncUtil.IndicatorWrapper, com.intellij.ssh.rsync.RSyncOptions)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil void downloadFileOrFolderWithRSync(java.lang.String, java.lang.String, com.intellij.remote.RemoteCredentials, com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RemoteFileObject void setPermissions(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh void overrideHomeSshDirectory(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil.RsyncCommandData workingDir">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.DialogSshSudoPasswordStringProvider.PasswordDialogResult password">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh boolean isPassphraseMayBeRequired(java.lang.String, com.intellij.ssh.SshBackendLibrary)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.Ssh void setPreferIPv6Stack(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.X11Forwarding.Companion java.lang.String getDefaultXAuthLocation()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.RSyncUtil com.intellij.ssh.RSyncUtil.IndicatorWrapper wrap(com.intellij.openapi.progress.ProgressIndicator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.AbstractProcessBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.ConnectionBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshBackendLibrary kotlin.enums.EnumEntries&lt;com.intellij.ssh.SshBackendLibrary&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SessionConfig com.intellij.ssh.config.SshConnectionConfig getConnectionConfig()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.ssh.SshSession int addRemoteTunnelWithRandomRemotePort(java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
</root>
